
<template>
  <el-card shadow="always" class="common-card-container common-card-container-body-no-padding" style="margin-top:25px;">
    <div slot="header">
      <span class="card-title">策略模板曲线展示</span>
    </div>
    <div style="height: 360px" id="tempChart"/>
  </el-card>
</template>

<style scoped lang="scss"></style>
<script>
import * as echarts from 'echarts'
import resize from '@/mixins/ems/resize'

export default {
  mixins: [resize],
  data() {
    return {
      chart: null
    }
  },
  mounted() {
    this.$nextTick(() => {
      this.initChart()
    })
  },
  beforeDestroy() {
    if (!this.chart) {
      return
    }
    this.chart.dispose()
    this.chart = null
  },
  methods: {
    initChart() {
      this.chart = echarts.init(document.querySelector('#tempChart'))
      this.setOptions()
    },
    setOptions() {
      this.chart.setOption({
        color:['#FFBD00','#3C81FF'],
        legend: {
          left: 'center',
          bottom: '10',
        },
        tooltip: {
          trigger: 'axis',
          axisPointer: { // 坐标轴指示器，坐标轴触发有效
            type: 'shadow' // 默认为直线，可选为：'line' | 'shadow'
          }
        },
        textStyle:{
          color:"#333333",
        },
        xAxis: {
          data: ['01:00','02:00','03:00','05:00','06:00','07:00','08:00','09:00','10:00'],
          axisLine: {
            lineStyle:{
              color: '#333333',
            }
          }
        },
        yAxis: {
          type: 'value',
          axisLine: {
            lineStyle:{
              color: '#333333',
            }
          }
        },
        series: [
        {
          name:'模板一',
          data: [80,92,1,34,90,130,320,80,9,91],
          type: 'line',
        },{
            name:'模板二',
            data: [820,932,901,934,1290,1330,1320,820,932,901],
            type: 'line',
          }]
      })
    }
  }
}

</script>
